Subject: RE: Where to find libintl?
From: "Andrej Borsenkow" <[email-masked]>
To: "Egor Duda" <[email-masked]>
Cc: "cygwin" <[email-masked]>
Date: Fri, 25 Aug 2000 12:42:36 +0400

>
> Friday, 25 August, 2000 Andrej Borsenkow
> [email-masked] wrote:
>
> AB> I presume, it is in gettext, but there is no official release AFAIK?
>
> AB> The reason is, new dumper utility needs it. It is very
> unfortunate, as up to
> AB> now Cygwin did not depend on other packages, and you could compile it
> AB> "standalone". Yes, I know, compiling off CVS is always risky ...
>
> I believe libintl is pretty stable these days. Last change in it dated
> 1997-09-06,  so  you  can safely pull it from cvs. Moreover, cygwin do
> depend on other packages -- newlib, libiberty
>

More precisely - when I check out module `winsup', I get *everything* that is
needed to build cygwin (including newlib and libiberty). When I said "Cygwin"
I actually meant "module winsup" :-)

> AB> BTW dumper needs libbfd - is it modified library? Then it would
> need binutils
> AB> ... and that means another several MB just to compile a single
> program. SIgh
> AB> ...
>
> i'm  using  bfd  from current cvs, and it works fine for me. i haven't
> build other binutils (objcopy, strip, ld) with it, though.
>

Which means, probably, your patched version. Again, this introduces yet
another dependency from winsup to another module.

> what  if i change utils/Makefile.in to make it skip building of dumper
> if it's prerequisites haven't been satisfied?
>

Hmm ... IMHO this utility actually belongs more to binutils and not to core
Cygwin. But as a temporary workaround - yes, please :-)

-andrej

--
Want to unsubscribe from this list?
Send a message to [email-masked]